XmlWriter
Keywords: org.jrobin.core.XmlWriter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jrobin.core
Class XmlWriter

    java.lang.Object
      org.jrobin.core.XmlWriter

public class XmlWriter
extends java.lang.Object

Extremely simple utility class used to create XML documents.

Constructor Summary
`XmlWriter(java.io.OutputStream stream)` Creates XmlWriter with the specified output stream to send XML code to.

Method Summary
`void` | `closeTag()` Closes the corresponding XML tag
`protected void` | `finalize()`
`void` | `flush()` Flushes the output stream
`void` | `startTag(java.lang.String tag)` Opens XML tag
`void` | `writeComment(java.lang.Object comment)` Writes XML comment to output stream
`void` | `writeTag(java.lang.String tag, boolean value)` Writes <tag>value</tag> to output stream
`void` | `writeTag(java.lang.String tag, java.awt.Color value)` Writes <tag>value</tag> to output stream
`void` | `writeTag(java.lang.String tag, double value)` Writes <tag>value</tag> to output stream
`void` | `writeTag(java.lang.String tag, double value, java.lang.String nanString)` Writes <tag>value</tag> to output stream
`void` | `writeTag(java.lang.String tag, java.io.File value)` Writes <tag>value</tag> to output stream
`void` | `writeTag(java.lang.String tag, java.awt.Font value)` Writes <tag>value</tag> to output stream
`void` | `writeTag(java.lang.String tag, int value)` Writes <tag>value</tag> to output stream
`void` | `writeTag(java.lang.String tag, long value)` Writes <tag>value</tag> to output stream
`void` | `writeTag(java.lang.String tag, java.lang.Object value)` Writes <tag>value</tag> to output stream

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlWriter

    public XmlWriter(java.io.OutputStream stream)

  Creates XmlWriter with the specified output stream to send XML code to.

Parameters:
  `stream` - Output stream which receives XML code

Method Detail

### startTag

    public void startTag(java.lang.String tag)

  Opens XML tag

  Parameters:
    `tag` - XML tag name

### closeTag

    public void closeTag()

  Closes the corresponding XML tag

### writeTag

    public void writeTag(java.lang.String tag,
                         java.lang.Object value)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### writeTag

    public void writeTag(java.lang.String tag,
                         int value)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### writeTag

    public void writeTag(java.lang.String tag,
                         long value)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### writeTag

    public void writeTag(java.lang.String tag,
                         double value,
                         java.lang.String nanString)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### writeTag

    public void writeTag(java.lang.String tag,
                         double value)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### writeTag

    public void writeTag(java.lang.String tag,
                         boolean value)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### writeTag

    public void writeTag(java.lang.String tag,
                         java.awt.Color value)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### writeTag

    public void writeTag(java.lang.String tag,
                         java.awt.Font value)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### writeTag

    public void writeTag(java.lang.String tag,
                         java.io.File value)

  Writes <tag>value</tag> to output stream

  Parameters:
    `tag` - XML tag name
    `value` - value to be placed between `<tag>` and `</tag>`

### flush

    public void flush()

  Flushes the output stream

### finalize

    protected void finalize()

### writeComment

    public void writeComment(java.lang.Object comment)

  Writes XML comment to output stream

  Parameters:
    `comment` - comment string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD